%define sname   knights

# Using the website's domain name to differentiate this game from KDE games' Knights
Name:           knightsgame
Version:        25
Release:        %mkrel 6
Summary:        Multiplayer objective-oriented game with knights questing in a dungeon
Group:          Games/Arcade
License:        GPLv3+
URL:            http://www.knightsgame.org.uk/
Source0:        http://www.knightsgame.org.uk/files/%{sname}_0%{version}_src.tar.gz

BuildRequires:  boost-devel
BuildRequires:  icoutils
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(sdl)

%description
Knights is a multiplayer game involving several knights who must run
around a dungeon and complete various quests.

Each game revolves around a quest that all players compete to achieve,
such as retrieving some items to carry them back to their starting
point, escaping from the dungeon, fighting a duel to death against
the enemy knights, or destroying an ancient book using a special wand.

%prep
%setup -q -n %{sname}_0%{version}_src
%autopatch -p1

%build
%make BIN_DIR=%{_gamesbindir} \
      DATA_DIR=%{_gamesdatadir}/%{name} \
      KNIGHTS_BINARY_NAME=%{name} \
      SERVER_BINARY_NAME=%{name}-server

%install
%make BIN_DIR=%{buildroot}%{_gamesbindir} \
      DATA_DIR=%{buildroot}%{_gamesdatadir}/%{name} \
      KNIGHTS_BINARY_NAME=%{name} \
      SERVER_BINARY_NAME=%{name}-server \
      install_knights \
      install_server

for size in 16 32 48; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/
  icotool -x --width=${size} --output=%{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png ./src/icon.ico
done

# Menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
%{__cat} > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Knights
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%doc docs/ACKNOWLEDGMENTS.txt docs/COPYRIGHT.txt docs/README.txt docs/style.css docs/manual/
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/client/*
%{_gamesdatadir}/%{name}/server/*
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sat Dec 26 2015 daviddavid <daviddavid> 25-6.mga6
+ Revision: 915362
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 25-5.mga6
+ Revision: 883811
- rebuild for new boost 1.59.0

* Sun Aug 02 2015 daviddavid <daviddavid> 25-4.mga6
+ Revision: 860557
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 25-3.mga5
+ Revision: 742537
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 25-2.mga5
+ Revision: 681141
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 akien <akien> 25-1.mga5
+ Revision: 660329
- Version 25

* Sun Jul 06 2014 akien <akien> 24-1.mga5
+ Revision: 644146
- Version 24

* Sat Feb 22 2014 akien <akien> 23-1.mga5
+ Revision: 595676
- imported package knightsgame

